Subject: Re: Last Call: draft-jones-dime-3gpp-eps-command-codes (Diameter Command Code Registration for Third Generation Partnership Project (3GPP) Evolved Packet System (EPS)) to Informational RFC

From: Cullen Jennings <[email-masked]>
Date: Tue, 10 Feb 2009 20:27:33 -0700

My understanding is that this registry requires "IETF Consensus" as  
defined in 2434. However, theses registration are being defined by  
3GPP TS 29.272 which does not have IETF Consensus. If the DIME  
community wishes to allow registrations like this, why not update the  
IANA registration process to be "Specification Required"?

On Feb 5, 2009, at 7:17 AM, The IESG wrote:

> The IESG has received a request from an individual submitter to  
> consider
> the following document:
>
> - 'Diameter Command Code Registration for Third Generation Partnership
>   Project (3GPP) Evolved Packet System (EPS) '
>   <draft-jones-dime-3gpp-eps-command-codes-01.txt> as an Informational
> RFC
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action.  Please send substantive comments to  
> the
> [email-masked] mailing lists by 2009-03-05. Exceptionally,
> comments may be sent to [email-masked] instead. In either case, please
> retain the beginning of the Subject line to allow automated sorting.
>
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-jones-dime-3gpp-eps-command-codes-01.txt
>
>
> IESG discussion can be tracked via
> https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=18081&rfc_flag=0
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce

---

From: jouni korhonen <[email-masked]>
Date: Wed, 11 Feb 2009 10:18:13 +0200

Hi Cullen,

This is what the forthcoming RFC3588bis will do. Vendor-specific  
commands, like the 3GPP ones in this case, would be allocated on a  
First Come, First Served basis by IANA. However, for this specific  
request, RFC3588bis won't be ready/published soon enough.

Cheers,
	Jouni

On Feb 11, 2009, at 5:27 AM, Cullen Jennings wrote:

> community wishes to allow registrations like this, why not update  
> the IANA registration process to be "Specification Required"?
>
>
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 11 Feb 2009 09:53:30 +0100

Cullen,

The current allocation policy is defined by RFC 3588, section 11.2.1
which indeed makes no distinction between permanent, standard commands
and vendor-specific command codes and requires IETF consensus for all.
This will be fixed by
http://www.ietf.org/internet-drafts/draft-ietf-dime-rfc3588bis-15.txt
but until this document is approved we are trying to answer the requests
coming from other SDOs (3GPP in this case) according to the existing
IANA registration process. 

Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Cullen Jennings
> Sent: Wednesday, February 11, 2009 5:28 AM
> To: [email-masked]
> Subject: Re: Last Call: 
> draft-jones-dime-3gpp-eps-command-codes (DiameterCommand Code 
> Registration for Third Generation PartnershipProject (3GPP) 
> Evolved Packet System (EPS)) to Informational RFC
> 
> 
> My understanding is that this registry requires "IETF 
> Consensus" as defined in 2434. However, theses registration 
> are being defined by 3GPP TS 29.272 which does not have IETF 
> Consensus. If the DIME community wishes to allow 
> registrations like this, why not update the IANA registration 
> process to be "Specification Required"?
> 
> 
> > consider the following document:
> >
> > the [email-masked] mailing lists by 2009-03-05. 
> Exceptionally, comments 
> > may be sent to [email-masked] instead. In either case, please retain 
> > the beginning of the Subject line to allow automated sorting.
> >

---

From: Cullen Jennings <[email-masked]>
Date: Wed, 11 Feb 2009 13:12:18 -0700

Thanks Dan and Jouni,

Seems reasonable. I did not know about 3588bis.

Cullen

On Feb 11, 2009, at 1:53 AM, Romascanu, Dan (Dan) wrote:

>> http://www.ietf.org/internet-drafts/draft-jones-dime-3gpp-eps- 
>> command-
>>> codes-01.txt
>>>
>>>
>> https://datatracker.ietf.org/public/pidtracker.cgi? 
>> command=view_id&dTa
>>> g=18081&rfc_flag=0
>>>